> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://contentful.com/developers/docs/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/_mcp/server. # Get a bulk action GET https://api.contentful.com/spaces/{space_id}/environments/{environment_id}/bulk_actions/actions/{bulk_action_id} Returns a bulk action by ID. Records are retained for 7 days. Reference: https://contentful.com/developers/docs/references/content-management-api/bulk-actions/get-a-bulk-action ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Path parameters - `space_id` (string, required) — ID of the space as a string - `environment_id` (string, required) — ID of the environment as a string, falls back to `master` if not specified. - `bulk_action_id` (string, required) — ID of the bulk action as a string ## Response ### 200 OK - Request successful - `map from string to any` ## Examples **Response** ```json { "action": "", "error": { "sys": { "id": "", "type": "Error" } }, "payload": { "entities": { "items": [ { "sys": { "id": "", "linkType": "", "type": "Link", "version": 0 } } ] } }, "sys": { "createdAt": "2025-03-15T09:00:00.000Z", "createdBy": { "sys": { "id": "7BslKh9TdKGOK41VmLDjFZ", "linkType": "User", "type": "Link" } }, "environment": { "sys": { "id": "staging", "linkType": "Environment", "type": "Link" } }, "id": "", "space": { "sys": { "id": "yadj1kx9rmg0", "linkType": "Space", "type": "Link" } }, "status": "", "type": "BulkAction", "updatedAt": "2025-03-15T09:00:00.000Z" } } ``` **SDK Code** ```android Android SDK currently doesn't implement this endpoint. ``` ```java Java SDK currently doesn't implement this endpoint. ``` ```kotlin Kotlin SDK currently doesn't implement this endpoint. ``` ```swift Swift We currently don't provide a CMA SDK for this platform. ``` ```js-legacy JavaScript (legacy) import { createClient } from 'contentful-management' const client = createClient({ accessToken: '' }, { type: 'legacy' }) client.getSpace('') .then((space) => space.getEnvironment('')) .then((environment) => environment.getBulkAction('')) .then((bulkAction) => console.log(bulkAction)) .catch(console.error) ``` ```javascript JavaScript import { createClient } from 'contentful-management' // Client init const client = contentful.createClient({ accessToken: '' }) const bulkAction = await client.bulkAction.get({ spaceId: '', environmentId: '', bulkActionId: '', }); ``` ```php PHP SDK currently doesn't implement this endpoint. ``` ```ruby Ruby SDK currently doesn't implement this endpoint. ``` ```python Python SDK currently doesn't implement this endpoint. ``` ```.net .NET SDK currently doesn't implement this endpoint. ```